Advertisers
Advertisers are the brands on your platform that would like to purchase OOH.
GET /v1/advertisers
list advertisers
Code{ "openapi": "3.0.3", "info": { "title": "API V1", "version": "v1" }, "servers": [ { "url": "https://{defaultHost}", "variables": { "defaultHost": { "default": "api.adquick.com" } } } ], "paths": { "/v1/advertisers": { "get": { "summary": "list advertisers", "parameters": [ { "name": "X-PARTNER-TOKEN", "in": "header", "schema": { "type": "string" } } ], "responses": { "200": { "description": "successful", "content": { "application/json": { "schema": { "type": "object", "properties": { "records": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer" }, "name": { "type": "string", "minLength": 1 }, "website": { "type": "string", "minLength": 1 }, "brand": { "type": "string", "nullable": true } }, "required": [ "id", "name", "website" ] } }, "pagination": { "type": "object", "properties": { "current_page": { "type": "integer" }, "next_page": { "type": "integer", "nullable": true }, "prev_page": { "type": "integer", "nullable": true }, "total_pages": { "type": "integer" }, "total_entries": { "type": "integer" } }, "required": [ "current_page", "next_page", "prev_page", "total_pages", "total_entries" ] } }, "required": [ "records", "pagination" ] } } } } } } } } }
POST /v1/advertisers
create advertiser
Code{"openapi":"3.0.3","info":{"title":"API V1","version":"v1"},"servers":[{"url":"https://{defaultHost}","variables":{"defaultHost":{"default":"api.adquick.com"}}}],"paths":{"/v1/advertisers":{"post":{"summary":"create advertiser","parameters":[{"name":"X-PARTNER-TOKEN","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"successful","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string","minLength":1},"website":{"type":"string","minLength":1},"brand":{"type":"string","nullable":true}},"required":["id","name","website"]}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"website":{"type":"string","minLength":1},"brand":{"type":"string","nullable":true}},"required":["name","website"]}}}}}}}}
GET /v1/advertisers/{id}
show advertiser
Code{"openapi":"3.0.3","info":{"title":"API V1","version":"v1"},"servers":[{"url":"https://{defaultHost}","variables":{"defaultHost":{"default":"api.adquick.com"}}}],"paths":{"/v1/advertisers/{id}":{"get":{"summary":"show advertiser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-PARTNER-TOKEN","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"successful","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string","minLength":1},"website":{"type":"string","minLength":1},"brand":{"type":"string","nullable":true}},"required":["id","name","website"]}}}}}}}}}
PATCH /v1/advertisers/{id}
update advertiser
Code{"openapi":"3.0.3","info":{"title":"API V1","version":"v1"},"servers":[{"url":"https://{defaultHost}","variables":{"defaultHost":{"default":"api.adquick.com"}}}],"paths":{"/v1/advertisers/{id}":{"patch":{"summary":"update advertiser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-PARTNER-TOKEN","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"successful","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string","minLength":1},"website":{"type":"string","minLength":1},"brand":{"type":"string","nullable":true}},"required":["id","name","website"]}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"website":{"type":"string","minLength":1},"brand":{"type":"string","nullable":true}}}}}}}}}}
Endpoints
Summary
CodePOST /advertisers #=> Create advertiser GET /advertisers #=> List advertisers GET /advertisers/:id #=> Get specific advertiser PATCH /advertisers/:id #=> Edit advertiser
Create Advertiser
CodePOST /advertisers Expects: - name - website - brand (optional) Returns: - id - name - website
Important note: You should save the returned id to the advertiser on your end – it's needed for other requests.
List Advertisers
CodeGET /advertisers Returns: paginated array of advertiser objects inside a "records" key
Get Advertiser
CodeGET /advertisers/:id Returns: { "records": [ { "id": 1, "name": "First Advertiser", "website": "www.first.com", "brand": null }, { "id": 2, "name": "Second Advertiser", "website": "www.second.com", "brand": null } ], "pagination": { "current_page": 2, "next_page": null, "prev_page": 1, "total_pages": 2, "total_entries": 4 } }
Edit Advertiser
CodePATCH /advertisers/:id Expects: any combination of name, website, and/or brand Returns: - id
Last modified on